﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="TestForm.aspx.cs" Inherits="WebTest.TestForm" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
	<script src='Scheduler/dhtmlxScheduler/codebase/dhtmlxscheduler.js' type="text/javascript" charset="utf-8"></script>
	<script src='Scheduler/dhtmlxScheduler/codebase/ext/dhtmlxscheduler_timeline.js' type="text/javascript" charset="utf-8"></script>
	<script src='Scheduler/dhtmlxScheduler/codebase/ext/dhtmlxscheduler_outerdrag.js' type="text/javascript" charset="utf-8"></script>
	
	
	
	<link rel="stylesheet" type="text/css" href="Scheduler/dhtmlxScheduler/codebase/dhtmlxscheduler.css" />
	<link rel="stylesheet" href="Scheduler/dhtmlxScheduler/codebase/ext/dhtmlxscheduler_ext.css" type="text/css" media="screen" title="no title" charset="utf-8" />

    <style type="text/css" media="screen">
	    html, body{
		    margin:0px;
		    padding:0px;
		    height:100%;
		    overflow:hidden;
	    }	
	    .white_cell{
		    background-color:white;
	    }
	    .green_cell{
		    background-color:#95FF95;
	    }
	    .yellow_cell{
		    background-color:#FFFF79;
	    }
	    .red_cell{
		    background-color:#FF5353;
	    }
    </style>

    <script type="text/javascript" charset="utf-8">
	    function init() {
	        var sections = [ { key:1, label: "TestUser1"}, {key:2, label: "TestUser2" } ];
	        var schedulerId = [ {key:3, label: "TestScheduler" } ];
            scheduler.locale.labels.section_location = "Location";
            scheduler.locale.labels.section_Tags = "Tags";
            scheduler.locale.labels.section_description = "Description";
            scheduler.locale.labels.timeline_tab = "Timeline"
		    scheduler.locale.labels.matrix_tab = "Matrix"
		    scheduler.config.details_on_create=true;
		    scheduler.config.details_on_dblclick=true;
		    scheduler.config.xml_date="%Y-%m-%d %H:%i";
		    scheduler.config.multi_day = true;
		    brief_mode = true; 


		    scheduler.createTimelineView({
			    name:	"timeline",
			    x_unit:	"day",
			    x_date:	"%D",
			    x_step:	  1,
			    x_size:   14,
			    x_start:  1,
			    x_length: 1,
			    y_unit:	sections,
			    y_property:	"UserId",
			    render:"bar"
		    });

		    //===============
		    //Data loading
		    //===============
            scheduler.config.lightbox.sections = [
		        { name: "description", height: 130, map_to: "text", type: "textarea", focus: true },
		        { name: "location", height: 43, type: "textarea", map_to: "details" },
		        { name: "Tags", height: 30, type: "textarea", map_to: "Tags" },
		        { name: "User", height:23, type:"select", options:sections, map_to:"UserId" },
		        { name: "Scheduler", height:23, type:"select", options:schedulerId, map_to:"SchedulerId" },
		        { name: "time", height: 72, type: "time", map_to: "auto" }
	        ]
    		
		    scheduler.init('scheduler_here',new Date(2009,7,21),"timeline");
            scheduler.setLoadMode("timeline");

            scheduler.load("Scheduler/schedulerConnector.ashx" + "?uid=" + scheduler.uid());
            var dp = new dataProcessor("Scheduler/schedulerConnector.ashx" + "?uid=" + scheduler.uid());

            dp.init(scheduler);
	    }
    </script>
</head>
<body onload="javascript:init();">
    <form runat="server">
        <div id="scheduler_here" class="dhx_cal_container" style='width:1000px; height:300px;'>
	        <div class="dhx_cal_navline">
		        <div class="dhx_cal_prev_button">&nbsp;</div>
		        <div class="dhx_cal_next_button">&nbsp;</div>
		        <div class="dhx_cal_today_button"></div>
		        <div class="dhx_cal_date"></div>
		        <div class="dhx_cal_tab" name="day_tab" style="right:204px;"></div>
		        <div class="dhx_cal_tab" name="week_tab" style="right:140px;"></div>
		        <div class="dhx_cal_tab" name="timeline_tab" style="right:280px;"></div>
		        <div class="dhx_cal_tab" name="month_tab" style="right:76px;"></div>
	        </div>
	        <div class="dhx_cal_header">
	        </div>
	        <div class="dhx_cal_data">
	        </div>		
        </div>
    </form>
</body>
</html>
