﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using dhtmlxConnectors;
using System.Configuration;

/// <summary>
/// Connector body
/// </summary>
[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
public class schedulerConnector : dhtmlxRequestHandler
{
    public override IdhtmlxConnector CreateConnector(HttpContext context)
    {
        return new dhtmlxSchedulerConnector(
              "SchedulerEvents"
            , "EventId"
            , dhtmlxDatabaseAdapterType.SqlServer2005
            , "YourConnectionString"
            , "FromDate"
            , "ToDate"
            , "Subject as text, Details as details, Tags as Tags, UserId as UserId, SchedulerId as SchedulerId"
        );
    }

}
